Subject: Re: [rtcweb] WG last call comments on use-case and requirement document, “No solution defined”

From: Harald Alvestrand <[email-masked]>
Date: Fri, 03 May 2013 14:09:14 +0200

On 04/29/2013 04:04 PM, Stefan Håkansson LK wrote:
>
>
> This relates to the comments to the WG last call of the use-cases and 
> requirements document [1].
>
> The topic in this mail is the feedback that for some use-cases and 
> requirements no solution has been defined yet. This was brought up in 
> [2], with responses in [3] and [4].
>
> My thinking here is that the bulk of this document was developed a 
> long time ago when this effort started out. The use-cases, and derived 
> requirements, reflect what was considered important at that time.
>
> We basically have two options here: either we publish that document, 
> including use-cases/requirements that we have not developed solutions 
> to yet, early (knowing we may not meet all use-cases/requirements), or 
> we go for a later publication where we update the document to reflect 
> what we have actually designed.
>
> My preference would be to go for the early publication, and to use 
> this document later in the process to see what requirements we do 
> meet, and what requirements we don’t meet. (This is basically my 
> proposal for use of this document, referring again to Bernard’s mail 
> on 2119 language [5]).

This makes sense to me. In an ideal world (that is, not this one), there 
would be a document published after the first suite of specs that laid out:

- Which use cases and requirements are met by the current set of documents
- Which use cases and requirements can be met by further work (v2 and 
subsequent)
- Which use cases and requirements are unrealistic to fulfil and should 
be abandoned

I don't think we'll actually write such a document. But it's useful to 
think about it that way.

Let's publish early.

>
> Stefan
>
> [1] http://www.ietf.org/mail-archive/web/rtcweb/current/msg06136.html
>
> [2] http://www.ietf.org/mail-archive/web/rtcweb/current/msg06180.html
> [3] http://www.ietf.org/mail-archive/web/rtcweb/current/msg06187.html
> [4] http://www.ietf.org/mail-archive/web/rtcweb/current/msg06200.html
> [5] http://www.ietf.org/mail-archive/web/rtcweb/current/msg06181.html
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb